package com.yeejoin.equipmanage.common.vo;

import java.util.Date;

public class CarManagerRequest
{
	private String id;
	/**
	 * 部门id
	 */
	private String departmentId;
	/**
	 * 车牌号
	 */
	private String carNum;
	/**
	 * 装备状态
	 */
	private String equipStatus;
	/**
	 * 装备类型
	 */
	private String equipType;
	
	private Long equipmentId;
	/**
	 * 装备名称
	 */
	private String equipName;
	/**
	 * 装备编码
	 */
	private String equipCode;
	/**
	 * 车辆二维码
	 */
	private String qrCode;
	/**
	 * 规格型号
	 */
	private String model;
	/**
	 * 生产企业
	 */
	private String vender;
	
	private String manufacturer;
	
	
	private Long manufacturerId;
	/**
	 * 车架号码
	 */
	private String frameNum;
	/**
	 * 发动机号
	 */
	private String engineNum;
	
	/**
	 * 发动机型号
	 */
	private String engineModel;
	/**
	 * 车辆编码
	 */
	private String carCode;
	/**
	 * 产地国别
	 */
	private String country;
	
	private Long countryId;
	/**
	 * 总质量(千克)
	 */
	private Double totalMass;
	/**
	 * 发动机功率(千瓦)
	 */
	private String power;

	/**
	 * 服役期至
	 */
	private Date retirementDate;
	/**
	 * 保养周期
	 */
	private Long currentMaintenanceTime;
	
	/**
	 * 本次保养日期
	 */
	private Date currentMaintainDate;
	
	/**
	 * 下次保养日期
	 */
	private Date nextMaintainDate;
	/**
	 * 批次号
	 */
	private String batchNumber;
	/**
	 * 资产编号
	 */
	private String assetNumber;
	
	/**
	 * 颜色
	 */
	private String color;
	/**
	 * 负责人联系电话
	 */
	private String telephone;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 负责人用户id
	 */
	private Long userId;
	
	/**
	 * 队内编号
	 */
	private String queueNum;
	
	/**
	 * 出厂日期
	 */
	private Date dateProduction;
	
	/**
	 * 本机构开始执勤日期
	 */
	private Date dateUsed;
	
	/**
	 * 车辆类型名称
	 */
	private String equipTypeName;
	
	/**
	 * 车辆状态名称
	 */
	private String carState;
	
	private Long carStateId;
	/**
	 * 底盘品牌
	 */
	private String chassisBrand;
	
	/**
	 * 商标
	 */
	private String brand;
	
	/**
	 * 比功率
	 */
	private Double specificPower;
	
	/**
	 * 参考价
	 */
	private Double referencePrices;
	
	/**
	 * 车辆等级
	 */
	private String carLevel;
	
	private Long carLevelId;
	
	/**
	 * 装备日期
	 */
	
	private Date installDate;
	
	/**
	 * 车牌类型
	 */
	private String carNumType;
	
	private Long CarNumTypeId;
	
	/**
	 * 车牌图片
	 */
	private String img;
	
	/**
	 * 车牌图片
	 */
	private String defaultImg;
	
	/**
	 * 是否投保
	 */
	private Integer hasInsurance;
	
	/**
	 * 负责人电话
	 */
	private String chargeUserTel;
	
	private String orgCode;
	
	
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	private String chargeUser;
	/**
	 * 有效期（单位为年）
	 */
	private int expiryDate;
	
	
	/**
	 * 最后保养时间
	 */
	private Date lastMaintainDate; 
	

	/**
	 * 底盘类型(进口/出口)
	 */
	private String chassisType;
	
	/**
	 * 底盘型号
	 */
	private String chassisModel;
	
	/**
	 * 环信账号
	 */
	private String imUsername;
	/**
	 * 环信密码
	 */
	private String imPassword;
	
	/**
	 * 整车车辆类型：国产/进口
	 */
	private String type;
	

	/**
	 * 视频地址
	 */
	private String film;
	
	/**
	 * 创建时间
	 */
	private Date dateCreated;
	

	public String getQueueNum()
	{
		return queueNum;
	}
	public void setQueueNum(String queueNum)
	{
		this.queueNum = queueNum;
	}
	public Long getUserId()
	{
		return userId;
	}
	public void setUserId(Long userId)
	{
		this.userId = userId;
	}
	public String getId()
	{
		return id;
	}
	public void setId(String id)
	{
		this.id = id;
	}
	public String getDepartmentId()
	{
		return departmentId;
	}
	public void setDepartmentId(String departmentId)
	{
		this.departmentId = departmentId;
	}
	
	public String getEquipStatus()
	{
		return equipStatus;
	}
	public void setEquipStatus(String equipStatus)
	{
		this.equipStatus = equipStatus;
	}
	public String getEquipType()
	{
		return equipType;
	}
	public void setEquipType(String equipType)
	{
		this.equipType = equipType;
	}
	public String getModel()
	{
		return model;
	}
	public void setModel(String model)
	{
		this.model = model;
	}
	public String getVender()
	{
		return vender;
	}
	public void setVender(String vender)
	{
		this.vender = vender;
	}
	public String getFrameNum()
	{
		return frameNum;
	}
	public void setFrameNum(String frameNum)
	{
		this.frameNum = frameNum;
	}
	
	public String getCarCode()
	{
		return carCode;
	}
	public void setCarCode(String carCode)
	{
		this.carCode = carCode;
	}
	public String getCountry()
	{
		return country;
	}
	public void setCountry(String country)
	{
		this.country = country;
	}
	public Double getTotalMass()
	{
		return totalMass;
	}
	public void setTotalMass(Double totalMass)
	{
		this.totalMass = totalMass;
	}
	
	
	public String getBatchNumber()
	{
		return batchNumber;
	}
	public void setBatchNumber(String batchNumber)
	{
		this.batchNumber = batchNumber;
	}
	public String getAssetNumber()
	{
		return assetNumber;
	}
	public void setAssetNumber(String assetNumber)
	{
		this.assetNumber = assetNumber;
	}
	public String getColor()
	{
		return color;
	}
	public void setColor(String color)
	{
		this.color = color;
	}
	public String getTelephone()
	{
		return telephone;
	}
	public void setTelephone(String telephone)
	{
		this.telephone = telephone;
	}
	public String getRemark()
	{
		return remark;
	}
	public void setRemark(String remark)
	{
		this.remark = remark;
	}
	public String getEquipCode() {
		return equipCode;
	}
	public void setEquipCode(String equipCode) {
		this.equipCode = equipCode;
	}
	
	public String getEquipName() {
		return equipName;
	}
	public void setEquipName(String equipName) {
		this.equipName = equipName;
	}
	public String getEquipTypeName() {
		return equipTypeName;
	}
	public void setEquipTypeName(String equipTypeName) {
		this.equipTypeName = equipTypeName;
	}
	
	public String getManufacturer() {
		return manufacturer;
	}
	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}
	public String getCarNum() {
		return carNum;
	}
	public void setCarNum(String carNum) {
		this.carNum = carNum;
	}
	public String getChassisBrand() {
		return chassisBrand;
	}
	public void setChassisBrand(String chassisBrand) {
		this.chassisBrand = chassisBrand;
	}
	public Date getDateProduction() {
		return dateProduction;
	}
	public void setDateProduction(Date dateProduction) {
		this.dateProduction = dateProduction;
	}
	public Date getDateUsed() {
		return dateUsed;
	}
	public void setDateUsed(Date dateUsed) {
		this.dateUsed = dateUsed;
	}
	public String getBrand() {
		return brand;
	}
	public void setBrand(String brand) {
		this.brand = brand;
	}
	public Double getReferencePrices() {
		return referencePrices;
	}
	public void setReferencePrices(Double referencePrices) {
		this.referencePrices = referencePrices;
	}
	public String getCarLevel() {
		return carLevel;
	}
	public void setCarLevel(String carLevel) {
		this.carLevel = carLevel;
	}
	public String getPower() {
		return power;
	}
	public void setPower(String power) {
		this.power = power;
	}
	public Date getInstallDate() {
		return installDate;
	}
	public void setInstallDate(Date installDate) {
		this.installDate = installDate;
	}
	public Date getCurrentMaintainDate() {
		return currentMaintainDate;
	}
	public void setCurrentMaintainDate(Date currentMaintainDate) {
		this.currentMaintainDate = currentMaintainDate;
	}
	public String getCarNumType() {
		return carNumType;
	}
	public void setCarNumType(String carNumType) {
		this.carNumType = carNumType;
	}
	public Double getSpecificPower() {
		return specificPower;
	}
	public void setSpecificPower(Double specificPower) {
		this.specificPower = specificPower;
	}
	public Date getRetirementDate() {
		return retirementDate;
	}
	public void setRetirementDate(Date retirementDate) {
		this.retirementDate = retirementDate;
	}
	public Date getNextMaintainDate() {
		return nextMaintainDate;
	}
	public void setNextMaintainDate(Date nextMaintainDate) {
		this.nextMaintainDate = nextMaintainDate;
	}
	public Integer isHasInsurance() {
		return hasInsurance;
	}
	public void setHasInsurance(Integer hasInsurance) {
		this.hasInsurance = hasInsurance;
	}
	public Long getManufacturerId() {
		return manufacturerId;
	}
	public void setManufacturerId(Long manufacturerId) {
		this.manufacturerId = manufacturerId;
	}
	public String getQrCode() {
		return qrCode;
	}
	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}
	public Long getEquipmentId() {
		return equipmentId;
	}
	public void setEquipmentId(Long equipmentId) {
		this.equipmentId = equipmentId;
	}
	public String getEngineNum() {
		return engineNum;
	}
	public void setEngineNum(String engineNum) {
		this.engineNum = engineNum;
	}
	public String getChargeUserTel() {
		return chargeUserTel;
	}
	public void setChargeUserTel(String chargeUserTel) {
		this.chargeUserTel = chargeUserTel;
	}
	public String getCarState() {
		return carState;
	}
	public void setCarState(String carState) {
		this.carState = carState;
	}
	public Long getCarStateId() {
		return carStateId;
	}
	public void setCarStateId(Long carStateId) {
		this.carStateId = carStateId;
	}
	public Long getCountryId() {
		return countryId;
	}
	public void setCountryId(Long countryId) {
		this.countryId = countryId;
	}
	public String getImg() {
		return img;
	}
	public void setImg(String img) {
		this.img = img;
	}
	public String getChargeUser() {
		return chargeUser;
	}
	public void setChargeUser(String chargeUser) {
		this.chargeUser = chargeUser;
	}
	public Long getCurrentMaintenanceTime() {
		return currentMaintenanceTime;
	}
	public void setCurrentMaintenanceTime(Long currentMaintenanceTime) {
		this.currentMaintenanceTime = currentMaintenanceTime;
	}
	public int getExpiryDate() {
		return expiryDate;
	}
	public void setExpiryDate(int expiryDate) {
		this.expiryDate = expiryDate;
	}
	public Date getLastMaintainDate() {
		return lastMaintainDate;
	}
	public void setLastMaintainDate(Date lastMaintainDate) {
		this.lastMaintainDate = lastMaintainDate;
	}
	public String getChassisType() {
		return chassisType;
	}
	public void setChassisType(String chassisType) {
		this.chassisType = chassisType;
	}
	public String getChassisModel() {
		return chassisModel;
	}
	public void setChassisModel(String chassisModel) {
		this.chassisModel = chassisModel;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getDefaultImg() {
		return defaultImg;
	}
	public void setDefaultImg(String defaultImg) {
		this.defaultImg = defaultImg;
	}
	public String getImUsername() {
		return imUsername;
	}
	public void setImUsername(String imUsername) {
		this.imUsername = imUsername;
	}
	public String getImPassword() {
		return imPassword;
	}
	public void setImPassword(String imPassword) {
		this.imPassword = imPassword;
	}
	public String getFilm() {
		return film;
	}
	public void setFilm(String film) {
		this.film = film;
	}
	public Date getDateCreated() {
		return dateCreated;
	}
	public void setDateCreated(Date dateCreated) {
		this.dateCreated = dateCreated;
	}
	public Long getCarNumTypeId() {
		return CarNumTypeId;
	}
	public void setCarNumTypeId(Long carNumTypeId) {
		CarNumTypeId = carNumTypeId;
	}
	public Long getCarLevelId() {
		return carLevelId;
	}
	public void setCarLevelId(Long carLevelId) {
		this.carLevelId = carLevelId;
	}
	public String getEngineModel() {
		return engineModel;
	}
	public void setEngineModel(String engineModel) {
		this.engineModel = engineModel;
	}

	
}
